Subject: Pre-IETF DLSw MIB comments

From: "Peter W. Gayek" <[email-masked]>
Date: Mon, 27 Mar 95 18:56:22 EST

In preparation for next week's discussions at the IETF, here are some
thoughts on changes I would like to see to the draft MIB.  I thought
I would do them in one big append with numbered items so we can refer
to them later.  Any input is welcome, especially from those who won't
be attending the IETF.

Peter Gayek
IBM
----------------------------- attachment ----------------------------

1 - TAddress (for TCP)
    I feel strongly we should leave off the port numbers and stick with
    just the IP address.

2 - dlswXBusySupport, etc..
    On 2/23 I proposed the following in response to Shannon's preference
    against having non-standard flow control objects:
      - delete dlswXBusySupport
      - keep dlswPacingSupport as is (including "none" value)
      - change dlswTConnFlowCntlMode to the order:  undetermined,
        pacing, xBusy, other.  And de-emphasize xBusy a bit in the
        description (clarify it is non-standard).
    There hasn't been any more discussion on this.

3 - dlswSnaForwardingStatus, dlswNBForwardingStatus
    On 2/23 I proposed deleting these 2 objects because it was unclear
    what SAPs the SNA object should affect, and the same function could
    be achieved using dlswResourceAsminSnaSapList.  There hasn't been
    any discussion about this on the mailing list.

4 - dlswResourceSnaSend/Receive, dlswResourceAdmin/OperSnaSapList,
      dlswPartnerAdminSnaSapList
    We should remove "Sna" from these names since the SAP list covers
    both SNA and non-SNA SAPs.  dlswResourceSnaSend could be deleted
    since it is now required to send a supported SAP list.

5 - dlswResourceNBEntry, dlswTConnResourceNBName
    We should add a "name type" object with values (individual, group).

6 - dlswTConnAutoRetry
    This currently appears both once per box and for each transport
    connection.  I think the latter is overkill, we should just have
    the box instance if we have the object at all.

7 - dlswTConnEntry
    We should probably add our transport id for this TC, and the
    partner's transport id.

8 - dlswTConnInitialSend/RecvWndwSize
    Consider deleting due to limited value.  If not, consider renaming
    to "...LocalRecvWndwSize and ...RemoteRecvWndwSize".

9 - dlswTConnCongestion/QLen
    Delete unless we construct a useful definition next week.

10- dlswTConnCUR/ICR/NQ/NR*
    Delete - these are overkill, not very useful.

11- dlswTConn*Sna*
    These all have the same problem of defining which SAPs to count.
    We could:  leave to each product, pick certain ones, or change
    the name to indicate non-NetBIOS circuits / ICRs, etc..
    I don't have a strong opinion right now, we can discuss after
    we decide with the previous item whether to get rid of many of
    these objects anyway.

12- dlswTConnSna/NBCircuitEntries
    Clarify the states we are counting here.  Perhaps we should count
    all entries in the circuit table, including disconnected ones.
    Same issue about SNA SAPs - could just have a single object here.

13- dlswTConnTcpOperConnTable, also dlswTransportTcpReadPortNumber
    Delete.  These are useful only if the products involved have a
    non-standard port numbering scheme.  For standard implementations,
    we can get the same information from a single simple object "number
    of TCP connections currently in this transport connection".

14- dlswDirCacheMaxSize/Aging/Entries
    MAC and NB caches have such different size and timing requirements
    that I think it is a mistake to lump everything together here.
    I would like to see these 3 objects separated out for local MAC,
    remote MAC, local NB, remote NB.

15- dlwDirCacheHits/Misses, dlswDir*ExplorerSents
    If we keep these at all, we should separate SNA from NB.  One
    option for keeping is to condense to:  dynamic hits, defined hits,
    and misses.

16- dlswDirLocal/RemoteSna*
    I think we should change the name for all these objects to use
    "mac" instead of "sna".  So we have a mac address cache and a
    nb name cache.  This is more technically accurate and allows
    the mac address cache to be used for other purposes.

17- dlswDirLocal/RemoteSna/NBEntry
    Some of the fields in these 4 tables may make more sense on a
    mac address or NB name basis than on a (mac,ip) (name, ip) pair
    basis.  Notably the "hits" value, maybe also UpTime and
    LastReference.

18- dlswDirRemoteSna/NBEntry
    We should probably add the LF size returned by the remote partner
    to these two entries.

19- dlswDirLocal/RemoteNBEntry
    We could add a "NetBIOS name type" field to these entries.  Values
    would be individual (or unique), group, and unknown.

20- dlswDirExploreSna/NBTimer
    The standard now defines only a CUR_cs timer.  Maybe we can simplify
    and combine these two objects to mean that timer.

21- dlswDirSearchNBTargetMac
    Should be ...TargetName.

22- dlswCircuitS2IfIndex/DlcType/RouteInfo
    I think we should delete these 3 objects.  We can't know their
    value if dlswCircuitS2Location is "remote", and if S2 is not remote,
    there will be another circuit table entry containing this
    information (in the S1 slot).

23- dlswSdlcLsEntry
    I think this table should be indexed by (ifindex, sdlc station
    address).  This is the way an SDLC station is known to the operator,
    and I think this form of reference will be much more common than
    indexing by local MAC and SAP.